process-extras-0.7.1: Process extras

Safe Haskell | None
Language | Haskell2010

System.Process.ByteString.Lazy

Contents

- Orphan instances

Synopsis

- readProcessWithExitCode :: FilePath -> [String] -> ByteString -> IO (ExitCode, ByteString, ByteString)
- readCreateProcessWithExitCode :: CreateProcess -> ByteString -> IO (ExitCode, ByteString, ByteString)

# Documentation

readProcessWithExitCode #

Arguments

:: FilePath | command to run
-> [String] | any arguments
-> ByteString | standard input
-> IO (ExitCode, ByteString, ByteString) | exitcode, stdout, stderr

Specialized version for backwards compatibility.

readCreateProcessWithExitCode #

Arguments

:: CreateProcess | command and arguments to run
-> ByteString | standard input
-> IO (ExitCode, ByteString, ByteString) | exitcode, stdout, stderr

# Orphan instances

ListLikeProcessIO ByteString Word8 # | Like `readProcessWithExitCode`, but using `ByteString`
Methods forceOutput :: ByteString -> IO ByteString # readChunks :: Handle -> IO [ByteString] #
ProcessText ByteString Word8 # |